Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163115 - minor problems with busy cursor animation
Summary: minor problems with busy cursor animation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-artwork
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 00:16 UTC by Jef Spaleta
Modified: 2013-03-13 04:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 18:41:25 UTC


Attachments (Terms of Use)

Description Jef Spaleta 2005-07-13 00:16:41 UTC
Description of problem:
1) 
The rotating blue busy cursor needs to include an indicator as to which pixel on
the screen the cursor is actually pointing.  There are common situations where
the busy cursor graphic is display for several seconds. For example when
starting up gimp and waiting for the gimp plugins to load and the splash screen
to disappear.  

If busy cursor is displayed for a long period of time its reasonable to expect
users to need to do other tasks like work with the panel or metacity windowbars.
 These tasks are very difficult to accomplish while the rotating busy cursor
graphic is displayed, because the graphic gives no indication as to where
exactly the cursor is and the rotating graphic is quite large compared to
metacity windowbars or the standard 24 pixel height gnome panels on high
resolution monitors ( Im think 1600x1200 ) .   

I would like to see a cursor similar to the firefox internal busy cursor be used
for the general X busy cursor. The firefox busy cursor has both an arrow
indicating which pixel is being pointed to as well as the new rotating graphic.

2)
the blue swirl doesn't show up very well against dark blue or dark black
background images... like the default fc4 gnome background.  I would suggest
adding a constrasting white or off-white border around the swirl to give the
graphic definition when placed against a dark background.

Version-Release number of selected component (if applicable):
redhat-artwork-0.125-1

Comment 1 John (J5) Palmieri 2005-08-22 18:41:25 UTC
Changed to throbber with a cursor


Note You need to log in before you can comment on or make changes to this bug.